%define upstream_name    Unicode-Normalize
%define upstream_version 1.25

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Unicode Normalization Forms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Unicode/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(DynaLoader)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(SelectSaver)
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl-devel

%description
Parameters:

'$string' is used as a string under character semantics (see
_perlunicode_).

'$code_point' should be an unsigned integer representing a Unicode code
point.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun May 08 2016 shlomif <shlomif> 1.250.0-1.mga6
+ Revision: 1010881
- New version 1.25

* Sat Feb 20 2016 umeabot <umeabot> 1.210.0-2.mga6
+ Revision: 971342
- Mageia 6 Mass Rebuild

  + tv <tv>
    - kill self obsoletes

* Wed Oct 14 2015 sander85 <sander85> 1.210.0-1.mga6
+ Revision: 891604
- update to 1.21

* Mon Jul 13 2015 sander85 <sander85> 1.190.0-1.mga6
+ Revision: 853590
- update to 1.19

* Wed Oct 15 2014 umeabot <umeabot> 1.180.0-4.mga5
+ Revision: 743082
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.180.0-3.mga5
+ Revision: 686793
- Mageia 5 Mass Rebuild

* Fri Jun 06 2014 jquelin <jquelin> 1.180.0-2.mga5
+ Revision: 634037
- perl 5.20 rebuild

* Tue May 27 2014 sander85 <sander85> 1.180.0-1.mga5
+ Revision: 627055
- update to 1.18

* Mon Feb 10 2014 jquelin <jquelin> 1.170.0-3.mga5
+ Revision: 588089
- rebuild after perl 5.18.2

* Mon Oct 21 2013 umeabot <umeabot> 1.170.0-2.mga4
+ Revision: 539289
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 sander85 <sander85> 1.170.0-1.mga4
+ Revision: 491768
- update to 1.17

* Wed May 29 2013 jquelin <jquelin> 1.160.0-5.mga4
+ Revision: 432330
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 1.160.0-4.mga4
+ Revision: 432193
- perl 5.18.0 rebuild

* Wed Mar 27 2013 jquelin <jquelin> 1.160.0-3.mga3
+ Revision: 405585
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 374617
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 07 2012 jquelin <jquelin> 1.160.0-1.mga3
+ Revision: 315586
- update to 1.16

* Mon Oct 01 2012 jquelin <jquelin> 1.150.0-1.mga3
+ Revision: 301471
- imported package perl-Unicode-Normalize

